package com.xxfc.platform.vehicle.mapper;

import com.xxfc.platform.vehicle.entity.VehicleDepartureLog;
import com.xxfc.platform.vehicle.pojo.VehicleDepartureLogVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.BaseMapper;

import java.util.List;

public interface VehicleDepartureLogMapper extends BaseMapper<VehicleDepartureLog> {

    VehicleDepartureLog selectLastByVehicleId(String vehicleId);

    List<VehicleDepartureLogVo> selectByVehicleId(String vehicleId);

    List<VehicleDepartureLogVo> selectVoAll(@Param("numberPlate") String numberPlate);

    List<VehicleDepartureLogVo> selectVoAllNotAllData(@Param("numberPlate") String numberPlate, @Param("companyList") List<Integer> companyList);

    Integer selectMileageByVehicleId(String vehicleId);

    Integer selectDayByVehicleId(String vehicleId);
}
